# Interface ViewerManagerFactoryInterface<R, L, S>

#### Type Parameters

- #### R

- #### L

- #### S extends {}

#### Hierarchy

- ViewerManagerFactoryInterface

#### Implemented by

- MolstarManagerFactory

- Defined in src/RcsbFvStructure/StructureViewerInterface.ts:42

#####
Index

### Methods

getViewerManagerFactory

## Methods

### getViewerManagerFactory

- getViewerManagerFactory(stateManager, args): {
  actionManager: ViewerActionManagerInterface<R, L>;
  callbackManager: ViewerCallbackManagerInterface;
  }

- #### Parameters

  - ##### stateManager: RcsbFvStateInterface

  - ##### args: S

  #### Returns {
  actionManager: ViewerActionManagerInterface<R, L>;
  callbackManager: ViewerCallbackManagerInterface;
  }

  - ##### actionManager: ViewerActionManagerInterface<R, L>

  - ##### callbackManager: ViewerCallbackManagerInterface

  - Defined in src/RcsbFvStructure/StructureViewerInterface.ts:43

Generated using TypeDoc